POST api/batchapi/witnessfordrying
Request Information
URI Parameters
None.
Body Parameters
MedistreamStateViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| medistream_id | globally unique identifier |
None. |
|
| batch_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"medistream_id": "46a586a7-0d41-416d-81c2-345415da23a9",
"batch_id": "06b3b816-e301-45a9-9a1a-cf755d5dafb0"
}
application/xml, text/xml
Sample:
<medistream_state xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <batch_id>06b3b816-e301-45a9-9a1a-cf755d5dafb0</batch_id> <medistream_id>46a586a7-0d41-416d-81c2-345415da23a9</medistream_id> </medistream_state>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
WitnessForDryingViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| medistream_state | integer |
None. |
|
| current_batch | string |
None. |
|
| witnesses | Collection of WitnessForDryingItem |
None. |
Response Formats
application/json, text/json
Sample:
{
"medistream_state": 1,
"current_batch": "sample string 2",
"witnesses": [
{
"witnessId": "cde97a9f-ce2a-47b5-a2ad-e2b08f8269d2",
"witnessCode": 2.1,
"compartment": 3,
"state": 4
},
{
"witnessId": "cde97a9f-ce2a-47b5-a2ad-e2b08f8269d2",
"witnessCode": 2.1,
"compartment": 3,
"state": 4
}
]
}
application/xml, text/xml
Sample:
<witness_for_drying xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<current_batch>sample string 2</current_batch>
<medistream_state>1</medistream_state>
<witnesses>
<WitnessForDryingItem>
<Compartment>3</Compartment>
<State>4</State>
<WitnessCode>2.1</WitnessCode>
<WitnessId>cde97a9f-ce2a-47b5-a2ad-e2b08f8269d2</WitnessId>
</WitnessForDryingItem>
<WitnessForDryingItem>
<Compartment>3</Compartment>
<State>4</State>
<WitnessCode>2.1</WitnessCode>
<WitnessId>cde97a9f-ce2a-47b5-a2ad-e2b08f8269d2</WitnessId>
</WitnessForDryingItem>
</witnesses>
</witness_for_drying>